var search_data = {"index":{"searchIndex":["logger","formatter","logdevice","period","severity","<<()","add()","call()","close()","close()","coerce()","datetime_format()","datetime_format=()","debug()","debug!()","debug?()","error()","error!()","error?()","fatal()","fatal!()","fatal?()","info()","info!()","info?()","level()","level=()","log()","new()","new()","new()","next_rotate_time()","previous_period_end()","reopen()","reopen()","sev_threshold()","sev_threshold=()","unknown()","warn()","warn!()","warn?()","with_level()","write()"],"longSearchIndex":["logger","logger::formatter","logger::logdevice","logger::period","logger::severity","logger#<<()","logger#add()","logger::formatter#call()","logger#close()","logger::logdevice#close()","logger::severity::coerce()","logger#datetime_format()","logger#datetime_format=()","logger#debug()","logger#debug!()","logger#debug?()","logger#error()","logger#error!()","logger#error?()","logger#fatal()","logger#fatal!()","logger#fatal?()","logger#info()","logger#info!()","logger#info?()","logger#level()","logger#level=()","logger#log()","logger::new()","logger::formatter::new()","logger::logdevice::new()","logger::period#next_rotate_time()","logger::period#previous_period_end()","logger#reopen()","logger::logdevice#reopen()","logger#sev_threshold()","logger#sev_threshold=()","logger#unknown()","logger#warn()","logger#warn!()","logger#warn?()","logger#with_level()","logger::logdevice#write()"],"info":[["Logger","","Logger.html","","<p>Class Logger provides a simple but sophisticated logging utility that you can use to create one or more …\n"],["Logger::Formatter","","Logger/Formatter.html","","<p>Default formatter for log messages.\n"],["Logger::LogDevice","","Logger/LogDevice.html","","<p>Device used for logging messages.\n"],["Logger::Period","","Logger/Period.html","",""],["Logger::Severity","","Logger/Severity.html","","<p>Logging severity.\n"],["<<","Logger","Logger.html#method-i-3C-3C","(msg)","<p>Writes the given <code>msg</code> to the log with no formatting; returns the number of characters written, or <code>nil</code> …\n"],["add","Logger","Logger.html#method-i-add","(severity, message = nil, progname = nil)","<p>Creates a log entry, which may or may not be written to the log, depending on the entry’s severity …\n"],["call","Logger::Formatter","Logger/Formatter.html#method-i-call","(severity, time, progname, msg)",""],["close","Logger","Logger.html#method-i-close","()","<p>Closes the logger; returns <code>nil</code>:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">logger</span> = <span class=\"ruby-constant\">Logger</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&#39;t.log&#39;</span>)\n<span class=\"ruby-identifier\">logger</span>.<span class=\"ruby-identifier\">close</span>       <span class=\"ruby-comment\"># =&gt; nil</span>\n<span class=\"ruby-identifier\">logger</span>.<span class=\"ruby-identifier\">info</span>(<span class=\"ruby-string\">&#39;foo&#39;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["close","Logger::LogDevice","Logger/LogDevice.html#method-i-close","()",""],["coerce","Logger::Severity","Logger/Severity.html#method-c-coerce","(severity)",""],["datetime_format","Logger","Logger.html#method-i-datetime_format","()","<p>Returns the date-time format; see #datetime_format=.\n"],["datetime_format=","Logger","Logger.html#method-i-datetime_format-3D","(datetime_format)","<p>Sets the date-time format.\n<p>Argument <code>datetime_format</code> should be either of these:\n<p>A string suitable for use …\n"],["debug","Logger","Logger.html#method-i-debug","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::DEBUG</code>.\n"],["debug!","Logger","Logger.html#method-i-debug-21","()","<p>Sets the log level to Logger::DEBUG. See Log Level.\n"],["debug?","Logger","Logger.html#method-i-debug-3F","()","<p>Returns <code>true</code> if the log level allows entries with severity Logger::DEBUG to be written, <code>false</code> otherwise. …\n"],["error","Logger","Logger.html#method-i-error","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::ERROR</code>.\n"],["error!","Logger","Logger.html#method-i-error-21","()","<p>Sets the log level to Logger::ERROR. See Log Level.\n"],["error?","Logger","Logger.html#method-i-error-3F","()","<p>Returns <code>true</code> if the log level allows entries with severity Logger::ERROR to be written, <code>false</code> otherwise. …\n"],["fatal","Logger","Logger.html#method-i-fatal","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::FATAL</code>.\n"],["fatal!","Logger","Logger.html#method-i-fatal-21","()","<p>Sets the log level to Logger::FATAL. See Log Level.\n"],["fatal?","Logger","Logger.html#method-i-fatal-3F","()","<p>Returns <code>true</code> if the log level allows entries with severity Logger::FATAL to be written, <code>false</code> otherwise. …\n"],["info","Logger","Logger.html#method-i-info","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::INFO</code>.\n"],["info!","Logger","Logger.html#method-i-info-21","()","<p>Sets the log level to Logger::INFO. See Log Level.\n"],["info?","Logger","Logger.html#method-i-info-3F","()","<p>Returns <code>true</code> if the log level allows entries with severity Logger::INFO to be written, <code>false</code> otherwise. …\n"],["level","Logger","Logger.html#method-i-level","()","<p>Logging severity threshold (e.g. <code>Logger::INFO</code>).\n"],["level=","Logger","Logger.html#method-i-level-3D","(severity)","<p>Sets the log level; returns <code>severity</code>. See Log Level.\n<p>Argument <code>severity</code> may be an integer, a string, or …\n"],["log","Logger","Logger.html#method-i-log","(severity, message = nil, progname = nil)",""],["new","Logger","Logger.html#method-c-new","(logdev, shift_age = 0, shift_size = 1048576, level: DEBUG, progname: nil, formatter: nil, datetime_format: nil, binmode: false, shift_period_suffix: '%Y%m%d')","<p>With the single argument <code>logdev</code>, returns a new logger with all default options:\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Logger</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&#39;t.log&#39;</span>) <span class=\"ruby-comment\"># ...</span>\n</pre>\n"],["new","Logger::Formatter","Logger/Formatter.html#method-c-new","()",""],["new","Logger::LogDevice","Logger/LogDevice.html#method-c-new","(log = nil, shift_age: nil, shift_size: nil, shift_period_suffix: nil, binmode: false)",""],["next_rotate_time","Logger::Period","Logger/Period.html#method-i-next_rotate_time","(now, shift_age)",""],["previous_period_end","Logger::Period","Logger/Period.html#method-i-previous_period_end","(now, shift_age)",""],["reopen","Logger","Logger.html#method-i-reopen","(logdev = nil)","<p>Sets the logger’s output stream:\n<p>If <code>logdev</code> is <code>nil</code>, reopens the current output stream.\n<p>If <code>logdev</code> is …\n"],["reopen","Logger::LogDevice","Logger/LogDevice.html#method-i-reopen","(log = nil)",""],["sev_threshold","Logger","Logger.html#method-i-sev_threshold","()",""],["sev_threshold=","Logger","Logger.html#method-i-sev_threshold-3D","(severity)",""],["unknown","Logger","Logger.html#method-i-unknown","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::UNKNOWN</code>.\n"],["warn","Logger","Logger.html#method-i-warn","(progname = nil, &block)","<p>Equivalent to calling #add with severity <code>Logger::WARN</code>.\n"],["warn!","Logger","Logger.html#method-i-warn-21","()","<p>Sets the log level to Logger::WARN. See Log Level.\n"],["warn?","Logger","Logger.html#method-i-warn-3F","()","<p>Returns <code>true</code> if the log level allows entries with severity Logger::WARN to be written, <code>false</code> otherwise. …\n"],["with_level","Logger","Logger.html#method-i-with_level","(severity)","<p>Adjust the log level during the block execution for the current Fiber only\n\n<pre>logger.with_level(:debug) do ...</pre>\n"],["write","Logger::LogDevice","Logger/LogDevice.html#method-i-write","(message)",""]]}}